package com.unis.base.common.constant;

/**
 * 备案状态
 */
public enum FilingStatusConstant {

    NO_FILING("0","未备案",""),
    TO_BE_SUBMIT("1","待提交",""),
    TO_BE_REVIEW("2","待审核",""),
    REJECTED("3","已驳回",""),
    FILING("4","已备案","");

    private String name;
    private String value;
    private String desc;

    private FilingStatusConstant(String value, String name, String desc){
        this.value=value;
        this.name=name;
        this.desc=desc;
    }

    public String getValue(){
        return this.value;
    }
    public void setValue(String value){
        this.value=value;
    }

    public String getName(){
        return this.name;
    }
    public void setName(String name){
        this.name=name;
    }

    public String getDesc(){
        return this.desc;
    }
    public void setDesc(String desc){
        this.desc=desc;
    }
}
